use anyhow::Result;
use async_trait::async_trait;
use diesel::Identifiable;

#[async_trait]
pub trait IBaseService<T>: Send + Sync
where 
    T: Identifiable<Id = i32> + Send + Sync + 'static
{
    async fn get_all(&self) -> Result<Vec<T>>;
}
