use diesel::prelude::*;
use serde::{Deserialize, Serialize};
use crate::base::entity::BaseEntity;
use super::schema::users;

#[derive(Debug, Clone, Serialize, Deserialize, Queryable, Identifiable)]
#[diesel(table_name = users, primary_key(id))]
pub struct User {
    pub id: i32,
    pub name: String,
    pub email: String,
}

impl BaseEntity for User {
    fn id(&self) -> i32 {
        self.id
    }
}

impl Identifiable for User {
    type Id = i32;

    fn id(self) -> Self::Id {
        self.id
    }
}